Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.snmp
Class SnmpOidRecord

    java.lang.Object
      javax.management.snmp.SnmpOidRecord

Deprecated. Use package `com.sun.management.snmp` in preference to classes in this package. This class may be removed in a future version of Java DMK.

public class SnmpOidRecord
extends Object

Represents an entry of an `SnmpOidTable`. It contains the name of the MIB variable, the corresponding OID and its type. The type is represented using one of the following:

- "C" for `Counter32`
- "C64" for `Counter64`
- "EN" for `Table Entry`
- "G" for `Gauge32`
- "I" for `Integer32`
- "ID" for `OBJECT-IDENTITY`
- "IP" for `IpAddress`
- "NT" for `NOTIFICATION-TYPE`
- "NU" for `Null`
- "O" for `Opaque`
- "OI" for `Object Identifier`
- "S" for `String`
- "T" for `TimeTicks`
- "TA" for `Table`
- "U" for `Unsigned32`

See Also:
  `SnmpOidTable`

Constructor Summary
`SnmpOidRecord(String name, String oid, String type)` Deprecated. Creates an `SnmpOidRecord` with the specified MIB variable name, OID and type.

Method Summary
`String` | `getName()` Deprecated. Gets the logical name of the MIB variable.
`String` | `getOid()` Deprecated. Gets the OID of the MIB variable.
`String` | `getType()` Deprecated. Gets the type of the MIB variable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnmpOidRecord

    public SnmpOidRecord(String name,
                         String oid,
                         String type)

  Deprecated.
  Creates an `SnmpOidRecord` with the specified MIB variable name, OID and type.

Parameters:
  `name` - The logical name of the MIB variable.
  `oid` - The OID of the MIB variable.
  `type` - The type of the MIB variable.

Method Detail

### getName

    public String getName()

  Deprecated.
  Gets the logical name of the MIB variable.

  Returns:
    The MIB variable name.

### getOid

    public String getOid()

  Deprecated.
  Gets the OID of the MIB variable.

  Returns:
    The MIB variable OID.

### getType

    public String getType()

  Deprecated.
  Gets the type of the MIB variable.

  Returns:
    The MIB variable type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| FCS Release jdmk-5_1-b34.2 2005.11.29_16:24:00_MET
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1998-2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.